Index: TXM/trunk/bundles/org.txm.conllu.core/template/conllu.js
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/template/conllu.js	(revision 4016)
+++ TXM/trunk/bundles/org.txm.conllu.core/template/conllu.js	(revision 4017)
@@ -66,6 +66,9 @@
      */
     Document.prototype.parse = function(input, logger, strict) {
         // discard previous state, if any
+        
+        strict = false;
+        
         this.reset();
 
         if (logger !== undefined) {
Index: TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 4016)
+++ TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImporter.groovy	(revision 4017)
@@ -119,12 +119,11 @@
 								lines.remove(i)
 								i--
 								continue; /// next !
-							} else if (temp_multiwords.containsKey(split[0])) { // it's a syntactic word of an orthographic word -> add the orthographic form in the misc field
+							} else if (temp_multiwords.containsKey(split[0])) { // it's a syntactic word of an orthographic word
 								def split_ortho = temp_multiwords.remove(split[0])
 								
 								if (split[9].length() > 0) split[9] += "|"
 								split[9] += "multiword="+split_ortho[1] // the orthographic form
-								
 							}
 						} else if (contractionsManagement == UDPreferences.SURFACE) {
 							if (split[0].contains("-")) {
@@ -276,7 +275,7 @@
 		
 		def depsPropertiesToProject = UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT)).split(",") as Set
 		
-		def printNewLines = "true" == UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, ""+UDPreferences.getInstance().getString(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES))
+		def formatSentences = "true" == UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, ""+UDPreferences.getInstance().getString(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES))
 		
 		String contractionsManagement =  UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.CONTRACTIONS_MANAGEMENT, UDPreferences.getInstance().getString(UDPreferences.CONTRACTIONS_MANAGEMENT));
 		
@@ -421,13 +420,21 @@
 					ImportCoNLLUAnnotations.buildPropertiesProjections(sentencehash, headPropertiesToProject, depsPropertiesToProject)
 				}
 				
-				if (printNewLines) {
+				if (formatSentences) {
 					 writer.writeStartElement("p")
 					 writer.writeAttribute("type", "sentence")
+					 writer.writeAttribute("style", "--before-content:'$sent_id';")
 				}
 				
 				for (def word : words) {
 					
+					println "UD-ID="+word["id"]
+					if (word["id"].contains("-")) {
+						writer.writeStartElement("seg")
+						writer.writeCharacters("******")
+						writer.writeEndElement() // span
+					}
+					
 					String id = null
 					wordCounter++
 					writer.writeStartElement ("w")
@@ -454,7 +461,7 @@
 					writer.writeCharacters(" ")
 				}
 				
-				if (printNewLines) writer.writeEndElement()
+				if (formatSentences) writer.writeEndElement()
 				
 				writer.writeCharacters("\n")
 				writer.writeEndElement() // s
Index: TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 4016)
+++ TXM/trunk/bundles/org.txm.conllu.core/groovy/org/txm/scripts/importer/conllu/CoNLLUImport.groovy	(revision 4017)
@@ -60,6 +60,19 @@
 			return;
 		}
 		
+		def formatSentences = "true" == UDPreferences.getInstance().getProjectPreferenceValue(project, UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES, ""+UDPreferences.getInstance().getString(UDPreferences.IMPORT_PRINT_NEWLINES_AFTER_SENTENCES))
+		println "FORMATTING SENTENCES: "+formatSentences
+		if (formatSentences) {
+			File conlluCorpusCSS = new File(this.binaryDirectory, "HTML/"+this.project.getName()+"/default/css/"+this.project.getName()+".css")
+			conlluCorpusCSS.getParentFile().mkdirs()
+			conlluCorpusCSS << """p[type="sentence"]::before {
+	content:var(--before-content);
+	color:grey;
+}
+"""
+			println "conlluCorpusCSS=$conlluCorpusCSS"
+		}
+		
 		if (cutps.canBuildTSFiles()) {
 			
 			println "Converting CoNLL-U files to TIGER-XML files..."
@@ -118,13 +131,8 @@
 			// write the modified driver file
 			IOUtils.setText(driver, content, "UTF-8");
 			
-			
 			FixDriverFile.fixFeatureValues(driver, tigerxmlFiles)
 			
-			
-		
-			
-			
 			// build TIGER indexes
 			if (isSuccessful) {
 				// read from the 'tiger-xml' and write to the 'tiger' directory
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/BratPrintTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/BratPrintTree.java	(revision 4016)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/BratPrintTree.java	(revision 4017)
@@ -9,6 +9,7 @@
 import org.txm.utils.io.IOUtils;
 
 public class BratPrintTree {
+	
 	public static File print(File file, List<String> conll, String[] Tvalues, String[] NTvalues) {
 		
 		try {
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java	(revision 4016)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java	(revision 4017)
@@ -12,7 +12,6 @@
 import org.txm.conllu.core.preferences.UDPreferences;
 import org.txm.conllu.core.preferences.UDTreePreferences;
 import org.txm.conllu.core.search.UDSearchEngine;
-import org.txm.core.results.TXMParameters;
 import org.txm.libs.deptreeviz.UDDepTreeVizPrintTree;
 import org.txm.searchengine.core.Selection;
 import org.txm.searchengine.core.SimpleSelection;
@@ -49,8 +48,6 @@
 		super(parentNodePath, corpus);
 		
 		this.corpus = getParent();
-		
-		
 	}
 	
 	public UDTreeSearch(String parentNodePath) {
